#!/bin/sh
#
# Record test tone on tmp fs. 
# Play and capturing via loopback cable and run analysis on the captured file 

/usr/bin/alsabat -Pplughw:0,0 -c 2 -f S16_LE -r 48000 --saveplay=/tmp/test.wav -n2.2s
usleep 100000
/usr/bin/aplay -q /tmp/test.wav &
usleep 100000

rm -rf /tmp/a.wav

if [ "$1" = "1" ]; then
  /usr/bin/arecord -q -f S16_LE -D hw:1,0 -c 1 -r 48000 -d 2 /tmp/a.wav
else
  /usr/bin/arecord -q -f S16_LE -D hw:0,0 -c 2 -r 48000 -d 2 /tmp/a.wav
fi
#/usr/bin/alsabat -c 2 --snr-db 50 --local --file=/tmp/a.wav
/usr/bin/alsabat -c 2 --local --file=/tmp/a.wav
exit $?

